From 511c6fdb556e2f5dadbe06760207cf736e6782e9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 31 2020 00:58:54 +0000
Subject: [PATCH 1896/2232] Pass through two other diagnostics attributes as well


---

diff --git a/syntax/attrs.rs b/syntax/attrs.rs
index 9a6be92..ccb1c51 100644
--- a/syntax/attrs.rs
+++ b/syntax/attrs.rs
@@ -125,8 +125,10 @@ pub(super) fn parse(cx: &mut Errors, attrs: Vec<Attribute>, mut parser: Parser) 
             || attr.path.is_ident("warn")
             || attr.path.is_ident("deny")
             || attr.path.is_ident("forbid")
+            || attr.path.is_ident("deprecated")
+            || attr.path.is_ident("must_use")
         {
-            // https://doc.rust-lang.org/reference/attributes/diagnostics.html#lint-check-attributes
+            // https://doc.rust-lang.org/reference/attributes/diagnostics.html
             passthrough_attrs.push(attr);
             continue;
         }

